PUT
/api/v1/rds/parameter-group/{pg_id}/
curl --request PUT \ --url 'https://api.e2enetworks.com/myaccount/api/v1/rds/parameter-group/{pg_id}/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>' \ --header 'Content-Type: application/json' \ --data '{ "alter_algorithm": "COPY"}'import requests
response = requests.put( "https://api.e2enetworks.com/myaccount/api/v1/rds/parameter-group/{pg_id}/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"}, json={ "alter_algorithm": "COPY", },)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/rds/parameter-group/{pg_id}/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "PUT", headers: { "Authorization": "Bearer <API_TOKEN>", "Content-Type": "application/json" }, body: JSON.stringify({ "alter_algorithm": "COPY" }),});console.log(await response.json());Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”pg_id
required
integer
Parameter Group ID
Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID Find your project id here
location
required
string
Deployment region for the resource. Accepted values: Delhi, Chennai.
Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
alter_algorithm
required
string
Example
COPYResponses
Section titled “Responses”Successful response after editing a parameter group
Media typeapplication/json
object
code
integer
data
object
name
string
family
string
parameters
object
key
additional properties
string
pg_id
integer
is_attached
boolean
template_parameters
Array<object>
object
parameterName
string
description
string
source
string
applyType
string
dataType
string
allowedValues
string
isModifiable
boolean
applyMethod
string
parameterValue
string
errors
object
key
additional properties
any
message
string
Example
{ "code": 200, "data": { "name": "hey", "family": "MariaDB-10.4", "parameters": { "alter_algorithm": "COPY" }, "pg_id": 906, "is_attached": false, "template_parameters": [ { "parameterName": "alter_algorithm", "description": "Specify the alter table algorithm.", "source": "engine-default", "applyType": "dynamic", "dataType": "string", "allowedValues": "DEFAULT,COPY,INPLACE,NOCOPY,INSTANT", "isModifiable": true, "applyMethod": "pending-reboot", "parameterValue": "COPY" } ] }, "errors": {}, "message": "Success"}